Bug 210220

Summary: webkitpy: update autoinstalled mozprocess dependency to 1.1.0 (adds python3 support)
Product: WebKit Reporter: BJ Burg <bburg>
Component: Tools / TestsAssignee: BJ Burg <bburg>
Status: RESOLVED FIXED    
Severity: Normal CC: andersca, bburg, ews-watchlist, glenn, jbedard, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Local Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description BJ Burg 2020-04-08 15:52:50 PDT
.
Comment 1 BJ Burg 2020-04-08 15:53:06 PDT
<rdar://problem/58881483>
Comment 2 BJ Burg 2020-04-08 16:28:39 PDT
Created attachment 395884 [details]
Patch
Comment 3 Jonathan Bedard 2020-04-09 07:24:21 PDT
Comment on attachment 395884 [details]
Patch

webkitpy is failing....can you reproduce that failure locally? If landed now, this would definitely break infrastructure.
Comment 4 BJ Burg 2020-04-09 09:19:07 PDT
(In reply to Jonathan Bedard from comment #3)
> Comment on attachment 395884 [details]
> Patch
> 
> webkitpy is failing....can you reproduce that failure locally? If landed
> now, this would definitely break infrastructure.

It's unclear why exactly it's failing. It worked fine for me with normal usage.

Error message:

Checking autoinstalled packages ...
2020-04-09 07:21:18,135 - webkitpy.common.system.autoinstall - INFO - Auto-installing package: mozprocess
Auto-installing package: mozprocess
Traceback (most recent call last):
  File "/Volumes/Data/worker/WebKitPy-Tests-EWS/build/Tools/Scripts/webkitpy/test/main.py", line 336, in <module>
    sys.exit(main())
  File "/Volumes/Data/worker/WebKitPy-Tests-EWS/build/Tools/Scripts/webkitpy/test/main.py", line 87, in main
    return not tester.run()
  File "/Volumes/Data/worker/WebKitPy-Tests-EWS/build/Tools/Scripts/webkitpy/test/main.py", line 160, in run
    return self._run_tests(names)
  File "/Volumes/Data/worker/WebKitPy-Tests-EWS/build/Tools/Scripts/webkitpy/test/main.py", line 170, in _run_tests
    autoinstall_everything()
  File "/Volumes/Data/worker/WebKitPy-Tests-EWS/build/Tools/Scripts/webkitpy/thirdparty/__init__.py", line 352, in autoinstall_everything
    getattr(_hook, method)()
  File "/Volumes/Data/worker/WebKitPy-Tests-EWS/build/Tools/Scripts/webkitpy/thirdparty/__init__.py", line 171, in _install_mozprocess
    "mozprocess-1.1.0/mozprocess")
  File "/Volumes/Data/worker/WebKitPy-Tests-EWS/build/Tools/Scripts/webkitpy/thirdparty/__init__.py", line 328, in _install
    return installer.install(url=url, url_subpath=url_subpath, target_name=target_name)
  File "/Volumes/Data/worker/WebKitPy-Tests-EWS/build/Tools/Scripts/webkitpy/common/system/autoinstall.py", line 540, in install
    raise Exception(message)
Exception: Error auto-installing the mozprocess package to:
 "/Volumes/Data/worker/WebKitPy-Tests-EWS/build/Tools/Scripts/webkitpy/thirdparty/autoinstalled/mozprocess"
 --> Inner message: [Errno 2] No such file or directory: '/var/folders/vs/6mg9zkk50ss6qy168lvk5vs40000gn/T/mozprocess_uuoVV8/mozprocess-1.1.0.linux-x86_64/mozprocess-1.1.0/mozprocess'
Comment 5 BJ Burg 2020-04-09 09:26:08 PDT
Reproduces locally, hmm.
Comment 6 BJ Burg 2020-04-09 09:35:33 PDT
Based on curl'ing the tarballs and comparing structure, it appears mozprocess-1.1.0 is incorrectly packaged.

dongle:OpenSource bburg$ curl -O https://files.pythonhosted.org/packages/fc/49/c15eb5574d7769b5fb881b9e7e6bcc252c0b03dc131ad303ffb733144b83/mozprocess-1.1.0.linux-x86_64.tar.gz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 39185  100 39185    0     0  1062k      0 --:--:-- --:--:-- --:--:-- 106
dongle:OpenSource bburg$ tar -xvzf mozprocess-1.1.0.linux-x86_64.tar.gz 
x ./
x ./home/
x ./home/ahal/
x ./home/ahal/.pyenv/
x ./home/ahal/.pyenv/versions/
x ./home/ahal/.pyenv/versions/3.7.4/
x ./home/ahal/.pyenv/versions/3.7.4/lib/
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/mozprocess/
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/mozprocess/__init__.py
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/mozprocess/__pycache__/
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/mozprocess/__pycache__/__init__.cpython-37.pyc
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/mozprocess/__pycache__/processhandler.cpython-37.pyc
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/mozprocess/__pycache__/qijo.cpython-37.pyc
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/mozprocess/__pycache__/winprocess.cpython-37.pyc
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/mozprocess/processhandler.py
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/mozprocess/qijo.py
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/mozprocess/winprocess.py
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/mozprocess-1.1.0-py3.7.egg-info/
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/mozprocess-1.1.0-py3.7.egg-info/PKG-INFO
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/mozprocess-1.1.0-py3.7.egg-info/SOURCES.txt
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/mozprocess-1.1.0-py3.7.egg-info/dependency_links.txt
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/mozprocess-1.1.0-py3.7.egg-info/entry_points.txt
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/mozprocess-1.1.0-py3.7.egg-info/not-zip-safe
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/mozprocess-1.1.0-py3.7.egg-info/requires.txt
x ./home/ahal/.pyenv/versions/3.7.4/lib/python3.7/site-packages/mozprocess-1.1.0-py3.7.egg-info/top_level.txt
dongle:OpenSource bburg$ curl -O https://files.pythonhosted.org/packages/cb/26/144dbc28d1f40e392f8a0cbee771ba624a61017f016c77ad88424d84b230/mozprocess-0.25.tar.gz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 18807  100 18807    0     0   346k      0 --:--:-- --:--:-- --:--:--  346k
dongle:OpenSource bburg$ tar -xvzf mozprocess-0.25.tar.gz 
x mozprocess-0.25/
x mozprocess-0.25/mozprocess/
x mozprocess-0.25/mozprocess/processhandler.py
x mozprocess-0.25/mozprocess/__init__.py
x mozprocess-0.25/mozprocess/winprocess.py
x mozprocess-0.25/mozprocess/qijo.py
x mozprocess-0.25/setup.cfg
x mozprocess-0.25/PKG-INFO
x mozprocess-0.25/setup.py
x mozprocess-0.25/mozprocess.egg-info/
x mozprocess-0.25/mozprocess.egg-info/requires.txt
x mozprocess-0.25/mozprocess.egg-info/not-zip-safe
x mozprocess-0.25/mozprocess.egg-info/SOURCES.txt
x mozprocess-0.25/mozprocess.egg-info/dependency_links.txt
x mozprocess-0.25/mozprocess.egg-info/PKG-INFO
x mozprocess-0.25/mozprocess.egg-info/entry_points.txt
x mozprocess-0.25/mozprocess.egg-info/top_level.txt
dongle:OpenSource bburg$
Comment 7 BJ Burg 2020-04-24 09:59:37 PDT
Contents of new update (thanks ahal):

midnight:OpenSource bburg$ curl -O https://files.pythonhosted.org/packages/97/e7/7907f0bf2d0b42b154741f8ff63a199486fc67c90aac88cde5f2d1ad1ea2/mozprocess-1.1.0.tar.gz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 20813  100 20813    0     0   781k      0 --:--:-- --:--:-- --:--:--  781k
midnight:OpenSource bburg$ tar -xvzf mozprocess-1.1.0.tar.gz 
x mozprocess-1.1.0/
x mozprocess-1.1.0/PKG-INFO
x mozprocess-1.1.0/mozprocess/
x mozprocess-1.1.0/mozprocess/__init__.py
x mozprocess-1.1.0/mozprocess/processhandler.py
x mozprocess-1.1.0/mozprocess/qijo.py
x mozprocess-1.1.0/mozprocess/winprocess.py
x mozprocess-1.1.0/mozprocess.egg-info/
x mozprocess-1.1.0/mozprocess.egg-info/PKG-INFO
x mozprocess-1.1.0/mozprocess.egg-info/SOURCES.txt
x mozprocess-1.1.0/mozprocess.egg-info/dependency_links.txt
x mozprocess-1.1.0/mozprocess.egg-info/entry_points.txt
x mozprocess-1.1.0/mozprocess.egg-info/not-zip-safe
x mozprocess-1.1.0/mozprocess.egg-info/requires.txt
x mozprocess-1.1.0/mozprocess.egg-info/top_level.txt
x mozprocess-1.1.0/setup.cfg
x mozprocess-1.1.0/setup.py
Comment 8 BJ Burg 2020-04-24 10:13:25 PDT
Created attachment 397464 [details]
Patch
Comment 9 BJ Burg 2020-04-24 10:57:44 PDT
<rdar://problem/62286830>
Comment 10 EWS 2020-04-24 11:08:17 PDT
Committed r260657: <https://trac.webkit.org/changeset/260657>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 397464 [details].